library(CSTools)

library(s2dv)

data1 <- Load(var = 'tas', exp = 'system5c3s', 
             nmember = 15, sdates = c('20001101', '20011101', '20021101'),
             leadtimemax = 3, latmin = 27, latmax = 48,
             lonmin = -12, lonmax = 40, output = 'lonlat')

s2dv_1 <- as.s2dv_cube(data1)
#======================================

library(startR)

 lat.min <- 30
 lat.max <- 75
 lon.min <- -15
 lon.max <- 60

data2 <- Start(dat = paste0('/esarchive/exp/cmcc/system3c3s/daily_mean/',
                           '$var$_f6h/$var$_$sdate$01.nc'),
              var = 'sfcWind',
              sdate = '199306',
              time = indices(2),
              latitude = values(list(lat.min, lat.max)),
              latitude_reorder = Sort(),
              longitude = values(list(lon.min, lon.max)),
              longitude_reorder = CircularSort(-180, 180),
              ensemble = 'all',
              return_vars = list(time = 'sdate', lat = NULL, lon = NULL),
              synonims = list(latitude = c('lat', 'latitude'),
                              longitude = c('lon', 'longitude')),
              retrieve = T
              )

s2dv_2 <- as.s2dv_cube(data2)

