# Step (1)
library(startR)
repos <- '/esarchive/exp/ecmwf/system5c3s/monthly_mean/$var$_f6h/$var$_$sdate$.nc'
data <- Start(dat = repos,
              var = c('tas'),
              sdate = c('20170101', '20180101'),
              ensemble = indices(1:2),
              time = 1:2, #'all',
              latitude = values(list(0, 10)), 
              latitude_reorder = Sort(decreasing = T),
              longitude = values(list(10, 20)),
              longitude_reorder = CircularSort(0, 360),
              return_vars = list(latitude = NULL, longitude = NULL, time = 'sdate'),
              synonims = list(latitude = c('latitude', 'lat'), longitude = c('longitude', 'lon')),
              retrieve = TRUE)

# Step (2)
data1 <- as.s2dv_cube(data)
# Step (3)
CST_SaveExp(data1, destination = '/esarchive/scratch/aho/tmp/data_tas_Start', memb_dim = 'ensemble', dat_dim = 'dat', single_file = F)

# Step (4_1): Start() 
repos <- "/esarchive/scratch/aho/tmp/data_tas_Start/dat1/$var$/$var$_$sdate$.nc"


# Step (4_2)
## CST_Load --> data is wrong
new_path <- list(name = 'exp',
                 path = '/esarchive/scratch/aho/tmp/data_tas_Start/dat1/$VAR_NAME$/$VAR_NAME$_$START_DATE$.nc')

data2 <- CST_Load(var = c('tas'),
             exp = list(new_path),
             sdates = paste0(2017:2018, '0101'),
             leadtimemin = 1,
             leadtimemax = 2,
             nmember = 2,
             output = 'lonlat',
             storefreq = 'monthly',
             latmin = 0, latmax = 10, lonmin = 10, lonmax = 20)

##################################################################

## Step (1): CST_Load from the original path 
#NOTE: Load() cannot load system5_m1 correctly!!!!!
ori_path <- list(name = 'exp',
                 path = '/esarchive/exp/ecmwf/system5c3s/monthly_mean/$VAR_NAME$_f6h/$VAR_NAME$_$START_DATE$.nc')

data3 <- CST_Load(var = c('tas'),
             exp = list(ori_path),
             sdates = paste0(2017:2018, '0101'),
             leadtimemin = 1,
             leadtimemax = 2,
             nmember = 2,
             output = 'lonlat',
             storefreq = 'monthly',
             latmin = 0, latmax = 10, lonmin = 10, lonmax = 20)

CST_SaveExp(data3, destination = '/esarchive/scratch/aho/tmp/data_tas_Load', memb_dim = 'member', dat_dim = 'dataset', var_dim = NULL, ftime_dim = 'ftime', single_file = F)

new_path <- list(name = 'exp',
                 path = '/esarchive/scratch/aho/tmp/data_tas_Load/exp/$VAR_NAME$/$VAR_NAME$_$START_DATE$.nc')

data3_2 <- CST_Load(var = c('tas'),
             exp = list(new_path),
             sdates = paste0(2017:2018, '0101'),
             leadtimemin = 1,
             leadtimemax = 2,
             dimnames = list(member = 'member'),
             nmember = 2,
             output = 'lonlat',
             storefreq = 'monthly',
             latmin = 0, latmax = 10, lonmin = 10, lonmax = 20)

####################################################################

lon <- data3$coords$lon
lat <- data3$coords$lat

library(easyNCDF)
easy <- NcToArray("/esarchive/exp/ecmwf/system5_m1/monthly_mean/tas_f6h/tas_20170101.nc",
                  vars_to_read = 'tas')
easylat <- NcToArray("/esarchive/exp/ecmwf/system5_m1/monthly_mean/tas_f6h/tas_20170101.nc",
                  vars_to_read = 'latitude')
easylon <- NcToArray("/esarchive/exp/ecmwf/system5_m1/monthly_mean/tas_f6h/tas_20170101.nc",
                  vars_to_read = 'longitude')
easy1 <- easy[1,which(easylon %in% lon),which(easylat %in% lat),1,1]

PlotEquiMap(easy1, lon = lon, lat = lat, filled.continents = F)
PlotEquiMap(data[1,1,1,1,1,,], lon = lon, lat = lat, filled.continents = F)
PlotEquiMap(data3$data[1,1,1,1,,], lon = lon, lat = lat, filled.continents = F)

