## Interactive session, 2 nodes

> memuse::Sys.meminfo()
Totalram:  31.369 GiB 
Freeram:   28.088 GiB 

> pryr::mem_used()
30.7 MB

```r
source('modules/Loading/GRIB/GrbLoad.R')
source('modules/Loading//Loading_GRIB.R')
source("tools/libs.R") # for prepare_outputs.R
#TODO: remove this line when new s2dv_cube() is in CSTools
source('modules/Loading/GRIB/s2dv_cube.R')

library(yaml)
library(clock)

recipe <- "modules/Loading/testing_recipes/recipe_GRIB_system5_era5.yml"
recipe <- prepare_outputs(recipe)
```
> memuse::Sys.meminfo()
Totalram:  31.369 GiB 
Freeram:   27.844 GiB 
> pryr::mem_used()
168 MB
##############################0315
> memuse::Sys.meminfo()
Totalram:  31.369 GiB 
Freeram:   27.852 GiB 
> memuse::Sys.procmem()
Size:  300.496 MiB 
Peak:  300.496 MiB 
##############################

```r
# Load datasets

pryr::mem_change(
data <- load_datasets(recipe)
)
```

> pryr::mem_change()  # the data object size
408 MB  --> make sense
> pryr::mem_used()
576 MB
> pryr::object_size(data)
402,830,832 B  -->  0.375Gb; 385Mb

> memuse::Sys.meminfo()
Totalram:  31.369 GiB 
Freeram:   22.452 GiB
--> 5.4 Gb consumed. Why??

>  memuse::Sys.meminfo(compact.free=F)
Totalram:    31.369 GiB 
Freeram:     22.254 GiB 
Bufferram:    1.961 MiB 
Cachedram:  200.598 MiB 

> Sys.procmem() 
Size:   5.694 GiB 
Peak:  19.823 GiB 

##############################0315
> memuse::Sys.procmem()
Size:  745.609 MiB 
Peak:   12.573 GiB 
> memuse::Sys.meminfo()
Totalram:  31.369 GiB 
Freeram:   27.419 GiB 

##############################



## Interactive session, medmem 1 nodes

```r
source('modules/Loading/GRIB/GrbLoad.R')
source('modules/Loading//Loading_GRIB.R')
source("tools/libs.R") # for prepare_outputs.R
#TODO: remove this line when new s2dv_cube() is in CSTools
source('modules/Loading/GRIB/s2dv_cube.R')

library(yaml)
library(clock)

recipe <- "modules/Loading/testing_recipes/recipe_GRIB_system5_era5.yml"
recipe <- prepare_outputs(recipe)
```

> memuse::Sys.meminfo()
Totalram:  62.869 GiB 
Freeram:   59.187 GiB 
> pryr::mem_used()
168 MB
> memuse::Sys.procmem()
Size:  282.020 MiB 
Peak:  282.020 MiB 

```r
# Load datasets

pryr::mem_change(
data <- load_datasets(recipe)
)
```
408 MB

> pryr::mem_used()    
577 MB
> memuse::Sys.meminfo()
Totalram:  62.869 GiB 
Freeram:   56.467 GiB --> 2.5Gb consumed
> memuse::Sys.procmem()
Size:   2.992 GiB 
Peak:  19.982 GiB 

######################0404, after choosing necessary keys
>  pryr::mem_used()
577 MB
> memuse::Sys.meminfo()
Totalram:  62.869 GiB 
Freeram:   58.699 GiB 
>  memuse::Sys.procmem()
Size:  723.762 MiB 
Peak:   12.554 GiB  --> Less!!! 

######################0505, with regrid right after loading each file & gribr choose key

> memuse::Sys.meminfo()
Totalram:  62.869 GiB 
Freeram:   59.247 GiB 
> memuse::Sys.procmem()
Size:  256.258 MiB 
Peak:  256.258 MiB 

```r
data <- load_datasets(recipe)
```

> memuse::Sys.meminfo()
Totalram:  62.869 GiB 
Freeram:   58.769 GiB 
> memuse::Sys.procmem()
Size:  745.371 MiB 
Peak:    7.398 GiB 

##########################0505, gribr choose key

>  memuse::Sys.meminfo()
Totalram:  62.869 GiB 
Freeram:   59.213 GiB 
> memuse::Sys.procmem()
Size:  288.680 MiB 
Peak:  288.680 MiB 

```r
data <- load_datasets(recipe)
```

>  memuse::Sys.meminfo()
Totalram:  62.869 GiB 
Freeram:   47.989 GiB 
> memuse::Sys.procmem()
Size:  731.414 MiB 
Peak:   12.562 GiB 
