library(gribr)
file1 <- "/esarchive/scratch/aho/tmp/GRIB/GRIB_system5_tas_CORRECTED/tas_20001101.grb"
g <- grib_open(file1)

> memuse::Sys.meminfo()
Totalram:  31.369 GiB 
Freeram:   28.085 GiB 
> memuse::Sys.procmem()
Size:  64.496 MiB 
Peak:  64.496 MiB 

gm1 <- grib_get_message(g, 1)

> memuse::Sys.meminfo()
Totalram:  31.369 GiB 
Freeram:   28.039 GiB 
> memuse::Sys.procmem()
Size:  111.617 MiB --> +47MiB
Peak:  111.617 MiB 

> format(object.size(gm1), units = 'auto')
[1] "20.3 Mb"

############# after choosing the necessary keys
> format(object.size(gm1), units = 'auto')
[1] "10.6 Mb"
# memuse::Sys.procmem() Size increases 30MiB

#---------------------------------------
data <- grib_expand_grids(gm1)

> memuse::Sys.meminfo()
Totalram:  31.369 GiB 
Freeram:   28.033 GiB 
> memuse::Sys.procmem()
Size:  117.672 MiB 
Peak:  117.672 MiB 

gm2 <- grib_select(g, list(validityDate = '20001201'))

> memuse::Sys.meminfo()
Totalram:  31.369 GiB 
Freeram:   26.908 GiB 
> memuse::Sys.procmem()
Size:  1.238 GiB 
Peak:  1.238 GiB 

rm(gm2)
gc()

> memuse::Sys.procmem()
Size:  474.625 MiB 
Peak:    1.238 GiB 
> memuse::Sys.meminfo()
Totalram:  31.369 GiB 
Freeram:   27.684 GiB

#---------------------------------------
gm2 <- grib_get_message(g, 1:51)

> memuse::Sys.procmem()
Size:  1.248 GiB 
Peak:  1.248 GiB 
> memuse::Sys.meminfo()
Totalram:  31.369 GiB 
Freeram:   26.899 GiB 
> object.size(gm2)
1085010768 bytes

rm(gm2)
gc()

> memuse::Sys.meminfo()
Totalram:  31.369 GiB 
Freeram:   26.917 GiB 
> memuse::Sys.procmem()
Size:  1.229 GiB 
Peak:  1.248 GiB 



