#resolution 0.01x0.01
infile <- "/esarchive/recon/ecmwf/era5land/daily_mean/tas_f1h/tas_200006.nc" #1
infile <- "/esarchive/scratch/aho/tmp/t2m_202211.nc" #2
outweight <- "/esarchive/scratch/aho/tmp/regridWeight.nc"
outfile <- "/esarchive/scratch/aho/tmp/afterRegrid.nc"

#1. generate weight file with -P, then remap with the weight file
system(
  paste0("cdo -P 8 -genbil,r360x181 ", infile, " ", outweight)
)
#1 cdo    genbil: Processed 1 variable over 1 timestep [3.78s 1081MB].
#2 cdo    genbil: Processed 1 variable over 1 timestep [2.60s 187MB].

system(
  paste0("cdo -P 8 -remap,r360x181,", outweight, " ", infile, " ", outfile)
)
#1 cdo    remap: Processed 1 variable over 31 timesteps [11.05s 299MB].
#2 cdo    remap: Processed 1 variable over 720 timesteps [14.20s 77MB].
#=========================================================================


#2. generate weight file without -P, then remap with the weight file
system(
  paste0("cdo -genbil,r360x181 ", infile, " ", outweight) 
)
#1 cdo    genbil: Processed 1 variable over 1 timestep [4.12s 1081MB].
#2 cdo    genbil: Processed 1 variable over 1 timestep [4.51s 187MB].

system(
  paste0("cdo -remap,r360x181,", outweight, " ", infile, " ", outfile) 
)
#1 cdo    remap: Processed 1 variable over 31 timesteps [10.21s 299MB].
#2 cdo    remap: Processed 1 variable over 720 timesteps [39.28s 77MB].

#=========================================================================
#3. remap directly, with -P
system(
  paste0("cdo -P 8 -remapbil,r360x181 ", infile, " ", outfile)
)
#1 cdo    remapbil: Processed 1 variable over 31 timesteps [11.16s 201MB].
#2 cdo    remapbil: Processed 1 variable over 720 timesteps [14.96s 77MB].

#=========================================================================

#4. remap directly, without -P
system(
  paste0("cdo -remapbil,r360x181 ", infile, " ", outfile)
)
#1 cdo    remapbil: Processed 1 variable over 30 timesteps [10.88s 201MB].
#2 cdo    remapbil: Processed 1 variable over 720 timesteps [39.41s 77MB].


#====================================================================
# Try to run with 10 files but the cunsuming time varies too much (depends on the status of nord3v2 I guess)
#====================================================================

#1. generate weight file with -P, then remap with the weight file
tic("1. weight + remap")
system(
  paste0("cdo -P 8 -genbil,r360x181 ", infile, " ", outweight)
)
#cdo    genbil: Processed 1 variable over 1 timestep [3.05s 1081MB].

for (ii in 81:90) {
  infile <- paste0("/esarchive/recon/ecmwf/era5land/daily_mean/tas_f1h/tas_19", ii, "11.nc")
  system(
    paste0("cdo -P 8 -remap,r360x181,", outweight, " ", infile, " ", outfile)
  )
}
toc()


#3. remap directly, with -P
tic("3.remap")
for (ii in 81:90) {
  infile <- paste0("/esarchive/recon/ecmwf/era5land/daily_mean/tas_f1h/tas_19", ii, "11.nc")
  system(
    paste0("cdo -P 8 -remapbil,r360x181 ", infile, " ", outfile)
  )
}
toc()


