library(CSTools)
library(ClimProjDiags)

attractor <- ProxiesAttractor(lonlat_temp$exp$data, quanti = 0.60)
predyn <- Predictability(dim = attractor$dim, theta = attractor$theta)
str(predyn)

dim1 <- Subset(attractor$dim, c('time', 'member'), list(1:5, 1:5), drop = F)
theta1 <- Subset(attractor$theta, c('time', 'member'), list(1:5, 1:5), drop = F)
res1  <- Predictability(dim1, theta1)
str(res1)
#Error in arrays_of_results[[component]][(1:prod(component_dims)) + (m -  : 
#  replacement has length zero

dim1 <- Subset(attractor$dim, c('time', 'member'), list(1:6, 1:7), drop = F)
theta1 <- Subset(attractor$theta, c('time', 'member'), list(1:6, 1:7), drop = F)
res1  <- Predictability(dim1, theta1)
str(res1)
#Warning message:
#In arrays_of_results[[component]][(1:prod(component_dims)) + (m -  :
#  number of items to replace is not a multiple of replacement length

dim1 <- Subset(attractor$dim, c('time', 'member'), list(1:5, 1:3), drop = F)
theta1 <- Subset(attractor$theta, c('time', 'member'), list(1:5, 1:3), drop = F)
res1  <- Predictability(dim1, theta1)
str(res1)


#=========================

data <- array(1:60, dim = c(time = 5, sdate = 2, member = 6))
func <- function(x) {
  res <- if (ii %% 2 == 0) {
           x } else {x[1, ]}
#  res <- x[1,]
  ii <<- ii + 1
  return(list(res, x))
}
ii <- 1
res <- Apply(data, fun = func, target_dims = c("time", "sdate"))

#--------------------------------

data <- array(1:30, dim = c(time = 5, member = 6))
func <- function(x) {
  res <- if (ii %% 2 == 0) {
           x } else {as.vector(x[1:2])}
  ii <<- ii + 1
  return(list(res, x))
}
ii <- 1
res <- Apply(data, fun = func, target_dims = c("time"))

#-------------------------
func2 <- function(x) {
  res <- as.vector(x[1:2])
  return(list(res, x))
}
res2 <- Apply(data, fun = func2, target_dims = "time")

#-------------------------

data <- array(1:30, dim = c(time = 5, member = 3, sdate = 2))
func <- function(x) {
  res <- if (ii %% 3 == 0) {
           x } else {x[1:2]}
  ii <<- ii + 1
  return(list(res, x))
}
ii <- 1
res <- Apply(data, fun = func, target_dims = "time", output_dims = list("time", "time"))

