library(startR)
library(s2dv)

# Load a data array
  hcst <- Start(dat ="/esarchive/exp/ecmwf/system5c3s/daily_mean/$var$_f6h/$var$_$file_date$.nc",
                var = "tas",
                file_date = "19931101",
                time = 1,
                latitude = values(list(10, 20)),
                latitude_reorder = Sort(),
                longitude = values(list(0, 20)),
                longitude_reorder = CircularSort(0, 360),
                synonims = list(latitude = c('lat', 'latitude'),
                                longitude = c('lon', 'longitude'),
                                ensemble = c('member', 'ensemble')),
                ensemble = indices(1),
                return_vars = list(latitude = 'dat', longitude = 'dat',
                                   time = 'file_date'),
                split_multiselected_dims = F,
                retrieve = TRUE)
data <- drop(hcst)
lon <- attr(data, 'Variables')$dat1$longitude
lat <- attr(data, 'Variables')$dat1$latitude

# Interpolation
grid <- "/esarchive/recon/ecmwf/era5/monthly_mean/tas_f1h-r1440x721cds/tas_201805.nc"
grid <- "r100x50"

res <- CDORemap(data, lons = lon, lats = lat, grid = grid, method = 'bil')#, write_dir = '~/)

