library(s2dv)
dat1 <- array(rnorm(2*10*3*3), dim = c(member = 2, sdate = 10, ftime = 3, lon = 3))

# Seasonal mean of all three months
res <- Season(data = dat1, monini = 1, moninf = 1, monsup = 3)

## Example 1: More months than the length of the ftime dimension
res_1 <- Season(data = dat1, monini = 1, moninf = 1, monsup = 9)
dim(res_1)


## Example 2: Months that do not exist in the array
res_2 <- Season(data = dat1, monini = 1, moninf = 5, monsup = 6)


## Example 4: Same as example one, but with na.rm = FALSE
res_4 <- Season(data = dat1, monini = 1, moninf = 1, monsup = 5, na.rm = F)
summary(res_4)



dat2 <- array(rnorm(2*3*13), dim = c(member = 2, sdate = 3, ftime = 13))
res <- Season(data = dat2, monini = 1, moninf = 12, monsup = 1)
res <- Season(data = dat2, monini = 1, moninf = 12, monsup = 2)
#Error in Season(data = dat2, monini = 1, moninf = 12, monsup = 2) : 
#  The chosen month length exceeds the time dimension of 'data'.
res <- Season(data = dat2, monini = 11, moninf = 12, monsup = 11)

