# https://earth.bsc.es/gitlab/es/s2dv/-/merge_requests/146#note_217194

data2 <- readRDS("/esarchive/scratch/nperez/test_data_rob.RDS")
source("/esarchive/scratch/aho/tmp/PlotRobinson.R")
library(ggplot2)
library(sf)
library(s2dv)

PlotRobinson(data2[[1]], lon = data2$lon, lat = data2$lat, lat_dim = "latitude", lon_dim = "longitude", brks = seq(0,1,0.1), triangle_ends =c(F,T))

PlotEquiMap(data[[1]], lon = data$lon, lat = data$lat, brks = seq(0,1,0.1), triangle_ends =c(F,T), filled.continents = F)



brks1 <- seq(-40, 40, 10)
brks1 <- seq(-30, 30, 10)

PlotRobinson(data, lon, lat, brks = brks1, cols = NULL, legend = 's2dv',
             target_proj = 54030, style = 'point', colNA = 'red',
             toptitle = "system5c3s monthly tas Jan 2017", caption = "Projection: Robinson",
             dots = mask, units = "degC", #col_inf = 'green',
             width = 10, height = 5,
             bar_extra_margin = c(0, 5, 0, 5),
             vertical = F)

PlotEquiMap(data, lon = lon, lat = lat, brks = brks1, cols = NULL, filled.continents = F,
            colNA = 'red', col_inf = 'green')
