exp <- list(list(
    name = "experiment_ecmwf",
    path = file.path("/esarchive/scratch/aho/tmp/$YEAR$/$VAR_NAME$_$START_DATE$.nc")
  ))

domain <- list(lonmin=-15, lonmax=60, latmin=30, latmax=70)

exp_dat <- Load(
    var = "mx2t24",
    exp = exp,
    obs = NULL,
    sdates = c('19930201'),
    output = "lonlat",
    leadtimemin = 1,
    leadtimemax = 214,
    latmin = domain$latmin,
    latmax = domain$latmax,
    lonmin = domain$lonmin,
    lonmax = domain$lonmax,
    nmember = 25,
    grid = 'r360x181', nprocs = 1,
    dimnames = list(lon='longitude', lat='latitude', member='number'))

data <- drop(exp_dat$mod)[1,1,,]
lon_dat <- -15:60
PlotEquiMap(data, lon = lon_dat, lat = exp_dat$lat, filled.continents = F)

#------------------------------------------

domain <- list(lonmin=0, lonmax=359.9, latmin=30, latmax=70)

exp1 <- list(list(
    name = "system5c3s",
    path = file.path("/esarchive/exp/ecmwf/system5c3s/monthly_mean/$VAR_NAME$_f6h/$VAR_NAME$_$START_DATE$.nc")
  ))
exp2 <- list(list(
    name = "system5_m1",
    path = file.path("/esarchive/exp/ecmwf/system5_m1/monthly_mean/$VAR_NAME$_f6h/$VAR_NAME$_$START_DATE$.nc")
  ))

asd<- Load(
    var = "tas",
    exp = exp2,
    obs = NULL,
    sdates = c('19930201'),
    output = "lonlat",
    leadtimemin = 1,
    leadtimemax = 2,
    nmember = 2,
    latmin = domain$latmin,
    latmax = domain$latmax,
    lonmin = domain$lonmin,
    lonmax = domain$lonmax,
    grid = 'r1296x640', #'t426grid',
    dimnames = list(lon='longitude', lat='latitude', member='ensemble'),
    nprocs = 1)

data <- drop(asd$mod)[1,1,,]
PlotEquiMap(data, lon = asd$lon, lat = asd$lat, filled.continents = F)

#-----------------------------------------

library(startR)
data <- Start(dat = "/esarchive/scratch/aho/tmp/$year$/$var$_$year$$date$.nc",
      var = 'mx2t24',
      year = '1993',
      date = '0201',
      member = 1:25, # ensemble
      lon = 'all',
      lat = 'all',
      time = 1:214,
      synonims = list(member = c('member', 'number'), lon = c('lon', 'longitude'), lat = c('lat', 'latitude')),
      return_vars = list(lon = NULL, lat = NULL, time = c('year', 'date')),
      retrieve = T) 






data2 <- Start(dat = "/esarchive/exp/ecmwf/system5c3s/monthly_mean/$var$_f6h/$var$_$year$$sdate$.nc",
      var = 'tas',
      year = c('1993', '1994'),
#      year_depends = 'sdate',
      sdate = c('0201', '0301'),
      member = 1:25, # ensemble
      lon = 'all',
      lat = 'all',
      time = 1:7,
      synonims = list(member = c('member', 'ensemble'), lon = c('lon', 'longitude'), lat = c('lat', 'latitude')),
      return_vars = list(lon = NULL, lat = NULL, time = 'sdate'),
      retrieve = T)

