library(s2dv)

exp1 <- list(
         name = 'system5',
         path = paste0('/esarchive/exp/ecmwf/system5c3s/monthly_mean/',
              '$VAR_NAME$_f6h/$VAR_NAME$_$START_DATE$.nc')
       )
exp2 <- list(
         name = 'glosea5',
         path = paste0('/esarchive/exp/ukmo/glosea5_system12-c3s//monthly_mean/',
              '$VAR_NAME$_f6h/$VAR_NAME$_$START_DATE$.nc')
       )
obs <- list(
        name = 'era5',
        path = paste0('/esarchive/recon/ecmwf/era5/monthly_mean/',
               '$VAR_NAME$_f1h/$VAR_NAME$_$YEAR$$MONTH$.nc')
       )

lons.min <- -10
lons.max <- 10
lats.min <- 0
lats.max <- 10
var_name <- 'tas'


data <- Load(var = var_name,
             exp = list(exp1, exp2),
             obs = list(obs),
             sdates = paste0(1995:1997, '1101'),
             leadtimemin = 1, 
             leadtimemax = 4,
             nmember = 2,
             output = 'lonlat',
             grid = 'r512x256', method = 'conservative',
             storefreq = 'monthly',
             latmin = lats.min, latmax = lats.max,
             lonmin = lons.min, lonmax = lons.max)

dim(data$mod)
dim(data$obs) 
lon <- data$lon  # [0, 360]
lat <- data$lat  # [90, -90] 
