library(s2dv)

data <- array(1:360 + rnorm(360), dim = c(lon = 360, lat = 181))
lon <- -180:179
lat <- -90:90

PlotEquiMap(data, lon, lat, filled.continents = F, toptitle = 'original')

#-------------------------------

data <- array(1:360 + rnorm(360), dim = c(cat = 2, lon = 360, lat = 181))
lon <- -180:179
lat <- -90:90
asd <- list(list(filled.continents = F), 
            list(filled.continents = T))

PlotLayout(PlotEquiMap, c('lat', 'lon'), var = asplit(data, 1), lon = lon, lat = lat,
           special_args = asd, subplot_titles_scale = 0.6,
           margin_scale = rep(5, 4), #margin_scale is "dots", the param in PlotEquiMap()
           titles = c('aa', 'bb'))

PlotLayout(PlotEquiMap, c('lat', 'lon'), var = asplit(data, 1), lon = lon, lat = lat,
           margin_scale = rep(5, 4), #margin_scale is "dots", the param in PlotEquiMap()
           subplot_titles_scale = 1.2, titles = c('aa', 'bb'))

#--------------------------------

data <- array(1:15, dim = c(lon = 15, lat = 9))
lon <- -10:4
lon <- c(0:4, 350:359)
lat <- 36:44

PlotEquiMap(data, lon, lat, filled.continents = F)


#--------------------------------------

data <- array(1:15, dim = c(lon = 20, lat = 10))
lons <- seq(0, 359.5, length = 20)
lats <- seq(-89.5, 89.5, length = 10)

 PlotEquiMap(data, lons, lats, filled.continents = F, toptitle = 'original', width=12,height=10,
units="K")


#'# Simple example
x <- array(1:(20 * 10), dim = c(lat = 10, lon = 20)) / 200
a <- x * 0.b <- (1 - x) * 0.6
b <- (1 - x) * 0.6
c <- 1 - (a + b)
lons <- seq(0, 359.5, length = 20)
lats <- seq(-89.5, 89.5, length = 10)

PlotCombinedMap(list(a, b, c), lons, lats, 
                toptitle = 'Maximum map',
                map_select_fun = max,
                display_range = c(0, 1),
                bar_titles = paste('% of belonging to', c('a', 'b', 'c')), 
                brks = 20, width = 12, height = 10)

