  # dat1: dat_dim = c('dataset', 'member'), memb_dim = c('member')
  ## expected output_dims: memb = T --> dat_dim; memb = F --> dat_dim - memb_dim
  set.seed(1)
  exp1 <- array(rnorm(120), dim = c(dataset = 1, member = 3, sdate = 5,
                                    lon = 2, lat = 4))
  set.seed(2)
  obs1 <- array(rnorm(40), dim = c(dataset = 1, member = 1,
                                    lon = 2, lat = 4, sdate = 5))

  res1 <- Clim(exp1, obs1, dat_dim = c('dataset', 'member'), memb_dim = c('member'), memb = T)
  res2 <- Clim(exp1, obs1, dat_dim = c('dataset', 'member'), memb_dim = c('member'), memb = F)


  # dat2: dat_dim = c('dataset', 'member'), memb_dim = c('member'); no extra dim
  ## expected output_dims: memb = T --> dat_dim; memb = F --> dat_dim - memb_dim
  set.seed(1)
  exp2 <- array(rnorm(360), dim = c(dataset = 1, member = 3, sdate = 5))
  set.seed(2)
  obs2 <- array(rnorm(120), dim = c(dataset = 1, member = 1, sdate = 5))

  res1 <- Clim(exp2, obs2, dat_dim = c('dataset', 'member'), memb_dim = c('member'), memb = T)
  res2 <- Clim(exp2, obs2, dat_dim = c('dataset', 'member'), memb_dim = c('member'), memb = F)


  # dat3: dat_dim = c('member'), memb_dim = c('member')
  ## expected output_dims: memb = T --> dat_dim; memb = F --> dat_dim - memb_dim = NULL
  set.seed(1)
  exp3 <- array(rnorm(360), dim = c(member = 3, sdate = 5))
  set.seed(2)
  obs3 <- array(rnorm(120), dim = c(member = 1, sdate = 5))

  res1 <- Clim(exp3, obs3, dat_dim = 'member', memb_dim = 'member', memb = T)
  res2 <- Clim(exp3, obs3, dat_dim = 'member', memb_dim = 'member', memb = F
)

  # dat4: dat_dim = c('member'), memb_dim = c('member'); obs doesn't have member
  ## expected output_dims: memb = T --> exp: dat_dim, obs: NULL; memb = F --> exp: NULL, obs: NULL
  set.seed(1)
  exp4 <- array(rnorm(360), dim = c(member = 3, sdate = 5))
  set.seed(2)
  obs4 <- array(rnorm(120), dim = c(sdate = 5))

  res1 <- Clim(exp4, obs4, dat_dim = 'member', memb_dim = 'member', memb = T)
  res2 <- Clim(exp4, obs4, dat_dim = 'member', memb_dim = 'member', memb = F)

  # dat5: dat_dim = c('dataset', 'member'), memb_dim = c('member')
  ## expected output_dims: memb = T --> exp: dat_dim, obs: member; memb = F --> exp: dat_dim - memb_dim = dataset, obs: NULL
  set.seed(1)
  exp5 <- array(rnorm(60), dim = c(dataset = 1, member = 3, sdate = 5,
                                    lat = 4))
  set.seed(2)
  obs5 <- array(rnorm(20), dim = c(member = 1, lat = 4, sdate = 5))

  res1 <- Clim(exp5, obs5, dat_dim = c('dataset', 'member'), memb_dim = c('member'), memb = T)
  res2 <- Clim(exp5, obs5, dat_dim = c('dataset', 'member'), memb_dim = c('member'), memb = F)




