library(cli)

# Theming via a CSS-like language.

fun <- function(pckg) {
  cli_div(theme = list(span.emph1 = list(color = "hotpink", "font-weight" = "bold"),
                       span.emph2 = list(color = "green3")))
  cli_h1(paste0("This is a {.emph2 demo} of {.emph1 ", pckg, "}."))
}
fun("cli")

Sys.sleep(2)

# Headings

cli_h2("Short alert messages")

# Short alert messages

local_pkg <- list.files("~/R/x86_64-pc-linux-gnu-library/4.1/")
cli_alert_info("Found {length(local_pkg)} packages.")
cli_alert_warning("It is not a good practice to have local installation.")
cli_alert("Trying to find startR local installation...")
if (!"startR" %in% local_pkg) {
  cli_alert_danger("startR is not installed locally.")
} else {
  cli_alert_success("Found startR local installation.")
}
git_url <- "https://earth.bsc.es/gitlab/es/startR"
cli_alert_info("Check startR GitLab repo: {.url {git_url}}")

Sys.sleep(2)

# Lists

cli_h2("Lists")
fun <- function() {
  cli_h3("Most popular baby names in Spain (2022)")
  cli_ul()
  cli_li("BOYS")
  olid <- cli_ol()
  cli_li("Martin")
  cli_li("Hugo")
  cli_li("Mateo")
  cli_li("Leo")
  cli_li("Lucas")
  cli_end(olid)
  cli_li("GIRLS")
  olid <- cli_ol()
  cli_li("Lucía")
  cli_li("Martina")
  cli_li("Sofía")
  cli_li("María")
  cli_li("Valeria")
  cli_end(olid)
  cli_end()
}
fun()

Sys.sleep(2)

# Pluralization
cli_h2("Pluralization")

nfiles <- 3
ndirs <- 1
fun <- function(nfile, ndir) {
  cli_alert_info(paste0("Found {", nfile, "} file{?s} and {", ndir, 
                        "} director{?y/ies}."))
}
fun(3, 1)
fun(1, 2)

Sys.sleep(2)

# Progress bars
cli_h2('Progress bars')
plot_figs <- function(nfig) {
  cli_progress_bar("Plotting figures", total = nfig, clear = F)
  for (i in 1:nfig) {
    Sys.sleep(i/10)
    cli_progress_update()
  }
}
plot_figs(10)

