library(easyNCDF)

data <- array(1:200, dim = c(lat = 10, lon = 10, time = 2))
lats <- array(1:10, dim = c(lat = 10))
lons <- array(-10:-1, dim = c(lon = 10))
times <- array(c(as.POSIXct("2010-01-01"), as.POSIXct("2010-02-01")), dim = c(time = 2))

#varChar <- array(paste0('n', 1:3), dim = c(nn = 3))

meta <- list(tas = list(long_name = "near-surface temperature", units = "K"), 
 lat = list(long_name = "latitude", units = "degrees_north"), 
 lon = list(long_name = "longitude", units = "degrees_east"),
 time = list(calendar = "standard"))

attr(data, 'variables') <- meta[1]
attr(lats, 'variables') <- meta[2]
attr(lons, 'variables') <- meta[3]
attr(times, 'variables') <- meta[4]

ArrayToNc(list(tas = data, lat = lats, lon = lons, time = times), "~/tmp/easy.nc")
